/* --------------------------------
     The C5 U2 library  definitions.
     Juan Jose cabezas   2000
   --------------------------------
*/

/* The TIE definitions and wdw defs  */

#define TIEchar     1
#define TIEint      2
#define TIEdouble   3
  
#define C5_USR_END opm_end()
#define VRECNAME "C5_recpp"
#define WMAXRP       50
#define C5_DEBUG      0

#define VINT          2
#define VCHAR         1
#define VDOUBLE       3
#define VARRAY      204
#define VSTRUCT     205
#define VUNION      206
#define VPOINTER    207
#define VFUNCTION   208
#define VTYPEDEF    209

#define INT          2
#define CHAR         1
#define DOUBLE       3
#define ARRAY      204
#define STRUCT     205
#define UNION      206
#define POINTER    207
#define FUNCTION   208

typedef struct WDW {
		int type, pin, idx;
                char *name, *alias;
                struct DPLS * visi; 
		struct WDW *left, *right;
                } *Wdw_Exp;


typedef struct{
	Wdw_Exp type; 
	void  *obj; 
	} DT_struct, *DTP, *DPT;

typedef DPT TIE_TYPE; 

typedef struct DPLS{
                DPT dp;
                struct DPLS *next;
                } *DPT_list;

typedef Wdw_Exp View_Exp;
typedef Wdw_Exp C5_Type_Exp;

extern char *idinsert(char *);

extern Wdw_Exp W_int();
extern Wdw_Exp W_char();
extern Wdw_Exp W_double();
extern Wdw_Exp W_struct();
extern Wdw_Exp W_union();
extern Wdw_Exp W_array();
extern Wdw_Exp W_ptr();
extern Wdw_Exp W_typedf();
extern Wdw_Exp W_recadd(char *);

/*  The C5 U2  Meta Lib  */

extern C5_Type_Exp T5_dpt(DPT);
extern C5_Type_Exp T5_gos(C5_Type_Exp , int idx);
extern char *T5_gname(C5_Type_Exp );
extern char *T5_type_name( C5_Type_Exp );
extern char *T5_gstag(C5_Type_Exp );
extern int T5_gtype(C5_Type_Exp );
extern int T5_gpin(C5_Type_Exp );
extern int T5_gsize(C5_Type_Exp );
extern int T5_gcant(C5_Type_Exp );
extern int isDUtype(C5_Type_Exp );
extern int isDUnion( DPT );
extern DPT C5_DUeval( DPT );
extern int T5_rec_ptr(C5_Type_Exp );
extern int C5_type_seq(C5_Type_Exp, C5_Type_Exp );
extern int C5_is_left_rec(DTP ,DTP );

extern DTP DTS_obj();
extern int C5_gtype(DTP);
extern int C5_gpin(DPT);
extern char *C5_gname(DTP);
extern char *C5_gstag(DTP);
extern char *C5_gstr     (DTP, char *);
extern int C5_gint       (DTP, int);
extern double C5_gdouble (DTP, double);
extern char C5_gchar     (DTP, char);
extern int C5_gcant(DTP);
extern int C5_gsize(DTP);
extern int C5_is_rec_type(DTP);

extern DPT_list C5_gtie(DTP); 
extern DTP C5_gos(DTP dp, int idx); 
extern int C5_TIE_type(DTP , int );
extern int C5_TIE_length(DTP );
extern int  C5_TIE_ass(DTP dp, int fnr, DTP tiedp); /* fnr va de 0 al tope */
extern int C5_gTIE_int(DTP dp, int fnr, int dfault); /* fnr va de 0 al tope */
extern char C5_gTIE_char(DTP dp, int fnr,char dfault);/* fnr va de 0 al tope */
extern double C5_gTIE_double(DTP dp, int fnr, double dfault);/*fnr de 0 al top*/

extern DPT_list T5_gtie(C5_Type_Exp); 
extern int T5_TIE_type(C5_Type_Exp , int );
extern int T5_TIE_length(C5_Type_Exp );
extern int  T5_TIE_ass(C5_Type_Exp, int fnr, DTP tiedp); /* fnr va de 0 al */
extern int T5_gTIE_int(C5_Type_Exp, int fnr, int dfault); /* fnr va de 0 al */
extern char T5_gTIE_char(C5_Type_Exp, int fnr,char dfault);/* fnr va de 0 al*/
extern double T5_gTIE_double(C5_Type_Exp, int fnr, double dfault);/*fnr de 0*/
extern int T5_is_left_rec(C5_Type_Exp ,C5_Type_Exp );

extern int C5_int_ass(DTP,int);
extern int C5_char_ass(DTP,char); 
extern int C5_str_ass(DTP, char *); 
extern int C5_double_ass(DTP,double);
extern int C5_aass(DTP dp,DTP ass, int idx); /* atomic type assignation */
extern int C5_copy(DTP dp,DTP ass); /* generic copy */
extern DPT C5_malloc(DTP dp); /* generic malloc  */
extern DPT C5_createdp(DPT);     /* crea nuevo par con el typo de dp */
extern DPT C5_newdp(DPT);     /* nuevo par copiado de dp */
extern DPT_list dpnil();
extern DPT_list dpcons(DPT,DPT_list);
extern DPT dpgel( DPT_list, int );
extern DPT_list dpappend(DPT,DPT_list);
extern DPT_list dpconcat(DPT_list,DPT_list);
extern DPT dphd(DPT_list);
extern DPT_list dptl(DPT_list);
extern int dpempty(DPT_list);
extern int dplen(DPT_list);
extern DPT dp_In(int);
extern DPT dp_Ch(char);
extern DPT dp_St(char *);
extern DPT dp_Fn( Wdw_Exp, void *);
extern DPT dp_Do(double);
extern char *C5_type_name(DPT);
extern int C5_lenSearch(DPT dp, char *str);
extern DPT C5_dpSearch(DPT dp, char *str);
extern DPT C5_idxSearch(int ,DPT dp, char *str);
extern DPT C5_scanf(DPT dp);
extern DPT C5_fscanf(FILE *fp, DPT dp);
extern DPT C5_compil(DPT);
extern DPT C5_scanfArg(int, DPT);
extern DPT C5_dpError(char *st);
extern int isC5_dpError(DPT);

/* Functions in C5  */
extern int C5_isFunction(DPT);
extern DPT C5_fapply(DPT , DPT_list );
extern DPT C5p(DPT_list , int);
extern Wdw_Exp C5_ftyp(DPT );
extern DPT C5_funcTcheck(DPT  fun, DPT_list  args);

/* en vias de extinsion  
extern void *C5_gobj(DTP);
 out of service  
extern int V_gtype();
extern char *V_gname(View_Exp v); 
extern void *V_gvisi();
extern View_Exp V_gfield();
*/









