/*
     The C5-TW   Font library   
     Juan J. Cabezas   InCo 2001
*/
/* 
  The rules for font names are

       <Font>_<Draft|Letter|Ultra>_<UC|C|S|D|UD>    

where    Font is the font name for example Roman or Arial, 
         Draft Letter and Ultra is the font resolution (quality)  and
         UC ultracompact  C compact  S standard D disperse UD ultra disperse  
         is the separation between fonts.

                      recnr ftype vert1 vert2 hor serif incl disp  
                         0    1     2    3     4    5    6    7     
*/

#define Roman          {-1.0, 1.0, 0.1, 0.4, 0.15, 0.2, 0.0, 0.6 }
#define Roman_Draft_C  {-1.0, 1.0, 0.1, 0.4, 0.15, 0.2, 0.0, 0.6 }
#define Roman_Letter_C {-2.0, 1.0, 0.1, 0.4, 0.15, 0.2, 0.0, 0.6 }
#define Roman_Ultra_C  {-3.0, 1.0, 0.1, 0.4, 0.15, 0.2, 0.0, 0.6 }

#define Roman_Draft_UC  {-1.0, 1.0, 0.1, 0.4, 0.15, 0.2, 0.0, 0.7 }
#define Roman_Letter_UC {-2.0, 1.0, 0.1, 0.4, 0.15, 0.2, 0.0, 0.7 }
#define Roman_Ultra_UC  {-3.0, 1.0, 0.1, 0.4, 0.15, 0.2, 0.0, 0.7 }

#define Roman_Draft_S  {-1.0, 1.0, 0.15, 0.4 , 0.15, 0.25, 0.0, 0.5 }
#define Roman_Letter_S {-2.0, 1.0, 0.15, 0.4 , 0.15, 0.25, 0.0, 0.5 }
#define Roman_Ultra_S  {-3.0, 1.0, 0.15, 0.4 , 0.15, 0.25, 0.0, 0.5 }

#define Roman_Draft_D  {-1.0, 1.0, 0.2, 0.4, 0.2, 0.3, 0.0, 0.3 }
#define Roman_Letter_D {-2.0, 1.0, 0.2, 0.4, 0.2, 0.3, 0.0, 0.3 }
#define Roman_Ultra_D  {-3.0, 1.0, 0.2, 0.4, 0.2, 0.3, 0.0, 0.3 }

#define Roman_Draft_UD  {-1.0, 1.0, 0.25, 0.4, 0.25, 0.35, 0.0, 0.1 }
#define Roman_Letter_UD {-2.0, 1.0, 0.25, 0.4, 0.25, 0.35, 0.0, 0.1 }
#define Roman_Ultra_UD  {-3.0, 1.0, 0.25, 0.4, 0.25, 0.35, 0.0, 0.1 }

#define Romans_Draft_UC  {-1.0, 1.0, 0.1 , 0.25, 0.1 , 0.15, 0.0, 0.7 }
#define Romans_Letter_UC {-2.0, 1.0, 0.1 , 0.25, 0.1 , 0.15, 0.0, 0.7 }
#define Romans_Ultra_UC  {-4.0, 1.0, 0.1 , 0.25, 0.1 , 0.15, 0.0, 0.7 }

#define Romans_Draft_C  {-1.0, 1.0, 0.1 , 0.3, 0.1 , 0.2, 0.0, 0.6 }
#define Romans_Letter_C {-2.0, 1.0, 0.1 , 0.3, 0.1 , 0.2, 0.0, 0.6 }
#define Romans_Ultra_C  {-4.0, 1.0, 0.1 , 0.3, 0.1 , 0.2, 0.0, 0.6 }

#define Romans          {-1.0, 1.0, 0.1 , 0.3, 0.15, 0.25, 0.0, 0.5 }
#define Romans_Draft_S  {-1.0, 1.0, 0.1 , 0.3, 0.15, 0.25, 0.0, 0.5 }
#define Romans_Letter_S {-2.0, 1.0, 0.1 , 0.3, 0.15, 0.25, 0.0, 0.5 }
#define Romans_Ultra_S  {-4.0, 1.0, 0.1 , 0.3, 0.15, 0.25, 0.0, 0.5 }

#define Romans_Draft_D  {-1.0, 1.0, 0.2, 0.3, 0.2, 0.3, 0.0, 0.4 }
#define Romans_Letter_D {-2.0, 1.0, 0.2, 0.3, 0.2, 0.3, 0.0, 0.4 }
#define Romans_Ultra_D  {-4.0, 1.0, 0.2, 0.3, 0.2, 0.3, 0.0, 0.4 }

#define Romans_Draft_UD  {-1.0, 1.0, 0.2, 0.3, 0.2, 0.3, 0.0, 0.2 }
#define Romans_Letter_UD {-2.0, 1.0, 0.2, 0.3, 0.2, 0.3, 0.0, 0.2 }
#define Romans_Ultra_UD  {-4.0, 1.0, 0.2, 0.3, 0.2, 0.3, 0.0, 0.2 }

#define Antique_Draft_C  {-1.0, 1.0, 0.13, 0.3 , 0.13, -0.28, 0.0 , 0.76 }
#define Antique_Letter_C {-2.0, 1.0, 0.13, 0.3 , 0.13, -0.28, 0.0 , 0.76 }
#define Antique_Ultra_C  {-3.0, 1.0, 0.13, 0.3 , 0.13, -0.28, 0.0 , 0.76 }

#define Antique          {-1.0, 1.0, 0.13, 0.3 , 0.13, -0.31 , 0.0 , 0.6 }
#define Antique_Draft_S  {-1.0, 1.0, 0.13, 0.3 , 0.13, -0.31 , 0.0 , 0.6 }
#define Antique_Letter_S {-2.0, 1.0, 0.13, 0.3 , 0.13, -0.31 , 0.0 , 0.6 }
#define Antique_Ultra_S  {-3.0, 1.0, 0.13, 0.3 , 0.13, -0.31 , 0.0 , 0.6 }

#define Antique_Draft_D  {-1.0, 1.0, 0.13, 0.3 , 0.13, -0.32, 0.0 , 0.4 }
#define Antique_Letter_D {-2.0, 1.0, 0.13, 0.3 , 0.13, -0.32, 0.0 , 0.4 }
#define Antique_Ultra_D  {-3.0, 1.0, 0.13, 0.3 , 0.13, -0.32, 0.0 , 0.4 }

#define Antique_Draft_UD  {-1.0, 1.0, 0.13, 0.3 , 0.13, -0.33, 0.0 , 0.1 }
#define Antique_Letter_UD {-2.0, 1.0, 0.13, 0.3 , 0.13, -0.33, 0.0 , 0.1 }
#define Antique_Ultra_UD  {-3.0, 1.0, 0.13, 0.3 , 0.13, -0.33, 0.0 , 0.1 }

/* Arial gorda bold */
#define Arialb_Draft_UC  {-1.0, 0.0, 0.4, 0.4, 0.4, 0.0, 0.0, 0.85}
#define Arialb_Letter_UC {-2.0, 0.0, 0.4, 0.4, 0.4, 0.0, 0.0, 0.85}
#define Arialb_Ultra_UC  {-4.0, 0.0, 0.4, 0.4, 0.4, 0.0, 0.0, 0.85}

#define Arialb_Draft_C  {-1.0, 0.0, 0.4, 0.4, 0.4, 0.0, 0.0, 0.70}
#define Arialb_Letter_C {-2.0, 0.0, 0.4, 0.4, 0.4, 0.0, 0.0, 0.70}
#define Arialb_Ultra_C  {-4.0, 0.0, 0.4, 0.4, 0.4, 0.0, 0.0, 0.70}

#define Arialb          {-1.0, 1.0, 0.4, 0.4, 0.4, 0.0, 0.0, 0.50}
#define Arialb_Draft_S  {-1.0, 1.0, 0.4, 0.4, 0.4, 0.0, 0.0, 0.50}
#define Arialb_Letter_S {-2.0, 1.0, 0.4, 0.4, 0.4, 0.0, 0.0, 0.50}
#define Arialb_Ultra_S  {-4.0, 1.0, 0.4, 0.4, 0.4, 0.0, 0.0, 0.50}

#define Arialb_Draft_D  {-1.0, 1.0, 0.42, 0.42, 0.42, 0.00, 0.0, 0.3 } 
#define Arialb_Letter_D {-2.0, 1.0, 0.42, 0.42, 0.42, 0.00, 0.0, 0.3 } 
#define Arialb_Ultra_D  {-4.0, 1.0, 0.42, 0.42, 0.42, 0.00, 0.0, 0.3 } 

#define Arialb_Draft_UD  {-1.0, 1.0, 0.42, 0.42, 0.42, 0.00, 0.0, 0.0 } 
#define Arialb_Letter_UD {-2.0, 1.0, 0.42, 0.42, 0.42, 0.00, 0.0, 0.0 } 
#define Arialb_Ultra_UD  {-4.0, 1.0, 0.42, 0.42, 0.42, 0.00, 0.0, 0.0 } 

/* Arial standard  */
#define Arial_Draft_UC  {-1.0, 0.0, 0.2, 0.2, 0.2, 0.0, 0.0, 0.90}
#define Arial_Letter_UC {-2.0, 0.0, 0.2, 0.2, 0.2, 0.0, 0.0, 0.90}
#define Arial_Ultra_UC  {-4.0, 0.0, 0.22, 0.22, 0.20, 0.0, 0.0, 0.90}

#define Arial_Draft_C  {-1.0, 0.0, 0.2, 0.2, 0.2, 0.0, 0.0, 0.7 }
#define Arial_Letter_C {-2.0, 0.0, 0.2, 0.2, 0.2, 0.0, 0.0, 0.7 }
#define Arial_Ultra_C  {-4.0, 0.0, 0.22, 0.22, 0.20, 0.0, 0.0, 0.7 }

#define Arial_Draft_S  {-1.0, 1.0, 0.2, 0.2, 0.2, 0.0, 0.0, 0.60}
#define Arial_Letter_S {-2.0, 1.0, 0.2, 0.2, 0.2, 0.0, 0.0, 0.60}
#define Arial_Ultra_S  {-4.0, 1.0, 0.2, 0.2, 0.2, 0.0, 0.0, 0.60}

/* This is the default font  */
#define Arial          {-1.0, 1.0, 0.22, 0.22, 0.22, 0.00, 0.0, 0.3 } 
#define Arial_Draft_D  {-1.0, 1.0, 0.22, 0.22, 0.22, 0.00, 0.0, 0.3 } 
#define Arial_Letter_D {-2.0, 1.0, 0.22, 0.22, 0.22, 0.00, 0.0, 0.3 } 
#define Arial_Ultra_D  {-4.0, 1.0, 0.21, 0.21, 0.21, 0.00, 0.0, 0.3 } 

#define Arial_Draft_UD  {-1.0, 0.0, 0.30, 0.30, 0.30, 0.00, 0.0, 0.1  } 
#define Arial_Letter_UD {-2.0, 0.0, 0.30, 0.30, 0.30, 0.00, 0.0, 0.1  } 
#define Arial_Ultra_UD  {-4.0, 0.0, 0.30, 0.30, 0.30, 0.00, 0.0, 0.1  } 

/* Arial delgada  */
#define Arialn_Draft_C  {-1.0, 0.0, 0.09, 0.09, 0.08, 0.0, 0.0, 0.75}
#define Arialn_Letter_C {-2.0, 0.0, 0.09, 0.09, 0.08, 0.0, 0.0, 0.75}
#define Arialn_Ultra_C  {-5.0, 0.0, 0.09, 0.09, 0.08, 0.0, 0.0, 0.75}

#define Arialn          {-1.0, 0.0, 0.09, 0.09, 0.08, 0.0, 0.0, 0.55}
#define Arialn_Draft_S  {-1.0, 0.0, 0.09, 0.09, 0.08, 0.0, 0.0, 0.55}
#define Arialn_Letter_S {-2.0, 0.0, 0.09, 0.09, 0.08, 0.0, 0.0, 0.55}
#define Arialn_Ultra_S  {-5.0, 0.0, 0.15, 0.15, 0.13, 0.0, 0.0, 0.55}

#define Arialn_Draft_D  {-1.0, 0.0, 0.09, 0.09, 0.08, 0.0, 0.0, 0.25}
#define Arialn_Letter_D {-2.0, 0.0, 0.09, 0.09, 0.08, 0.0, 0.0, 0.25}
#define Arialn_Ultra_D  {-5.0, 0.0, 0.09, 0.09, 0.08, 0.0, 0.0, 0.25}

/* Courier  */
#define Courier_Draft_C  {-1.0, 3.0, 0.2 , 0.2 , 0.2 ,-0.4, 0.0, 0.5 }
#define Courier_Letter_C {-2.0, 3.0, 0.2 , 0.2 , 0.2 ,-0.4, 0.0, 0.5 }
#define Courier_Ultra_C  {-3.0, 3.0, 0.22, 0.22, 0.20,-0.4, 0.0, 0.5 }

#define Courier_Draft_S  {-1.0, 3.0, 0.2, 0.2, 0.2,-0.47, 0.0, 0.4 }
#define Courier_Letter_S {-2.0, 3.0, 0.2, 0.2, 0.2,-0.47, 0.0, 0.4 }
#define Courier_Ultra_S  {-3.0, 3.0, 0.2, 0.2, 0.2,-0.47, 0.0, 0.4 }

#define Courier          {-1.0, 3.0, 0.24, 0.24, 0.24,-0.5, 0.0, 0.2 } 
#define Courier_Draft_D  {-1.0, 3.0, 0.24, 0.24, 0.24,-0.5, 0.0, 0.2 } 
#define Courier_Letter_D {-2.0, 3.0, 0.24, 0.24, 0.24,-0.5, 0.0, 0.2 } 
#define Courier_Ultra_D  {-3.0, 3.0, 0.24, 0.24, 0.24,-0.5, 0.0, 0.2 } 

#define Courier_Draft_UD  {-1.0, 3.0, 0.30, 0.30, 0.30,-0.5, 0.0, 0.1  } 
#define Courier_Letter_UD {-2.0, 3.0, 0.30, 0.30, 0.30,-0.5, 0.0, 0.1  } 
#define Courier_Ultra_UD  {-3.0, 3.0, 0.30, 0.30, 0.30,-0.5, 0.0, 0.1  } 


