/* --------------------------------

      Typed Windows  1999  portdefs
      Juan Jose cabezas
   --------------------------------
*/

#define STATISTICS    1

#define MAXCOLOR 255 
#define MINCOLOR   0

#define O_RIGHT   1
#define O_DOWN    2
#define O_LEFT    3
#define O_UP      4
/*  Page size
% 18 18 576 756   11 x 8.5 inch page with a 1/4 inch border.
   x  y  w   h
% creo que la hoja A4 es  (10,10) (570,840)
*/
#define PAG_LX   32
#define PAG_LY   32
#define PAG_HX  576 
#define PAG_HY  756
#define MPAG_HX 596
#define MPAG_HY 842

#define INTERSECTION 100
#define SEL_SPLIT    101 
#define PARTITION    102
#define ROT_ORIENT   103
#define NEXT_COLOR   104
#define LCC  opm_colcons


typedef struct CCC {
                short int   r,g,b,nr;
                struct CCC *serie;
                } *Color;

typedef struct CL {
		Color col;
                struct CL *next;  
                } *Color_List;


/*  a prueba para ver la efeiciencia 
typedef struct  {
		short int x, y; 
		} Point;
*/
typedef struct  {
		float x, y; 
		} Point;

typedef struct PP {
                short int orient; 
		Point p1, p2;
                Color_List cl;
                } *Port;

typedef struct OPM {
		Port p;
                struct OPM *next;  
                } *Port_List;

typedef Port_List Page;
typedef Port_List Screen;
typedef Port_List Image;

/* vienen de viewdefs.h ahi por error */
extern Port_List V_glp();
extern  Port_List image_cons();
extern  Port_List opm_null();
extern  int opm_isnull(Port_List);
extern  Port      opm_hd(Port_List);
extern  Port_List opm_tl(Port_List);
extern  Port_List opm_cons(Port, Port_List);

extern  Port_List opm_page();
extern  Port_List opm_Page(Color_List);
extern  Port_List opm_rot(int n, Port_List lp);
extern  Port_List opm_inters(Port_List lp1, Port_List lp2);
extern  Port_List opm_selsplit(int n, int i, Port_List lp);
extern  Port_List opm_partition(double r, Port_List lp);
extern  Port_List opm_next_color(Port_List lp);
extern  Port_List opm_concat(Port_List ,Port_List);
extern  Port_List opm_cat(Port_List ,Port_List);
extern  Port_List opm_n_color(int, Port_List);
extern  Port_List opm_set_color(int, Port_List);
extern  Port_List opm_image_cons();
extern  Port_List image_cons();
extern  Color_List cl_nil();
extern  Color_List cl_cons(Color obj, Color_List cl);
extern  Color_List opm_colcons(Color obj, Color_List cl);
extern  int cl_isempty(Color_List cl);
extern  Color rgb(int,int,int);
extern  Color cl_hd(Color_List cl);
extern  Color_List cl_tl(Color_List cl);

/*---------End---------*/
